package com.sun.xml.internal.ws.api;

import com.sun.istack.internal.Nullable;
import com.sun.istack.internal.NotNull;
import javax.xml.ws.WebServiceFeature;

public interface WSFeatureList extends Iterable<WebServiceFeature>
{
    public abstract boolean isEnabled(@NotNull Class<? extends WebServiceFeature> p0);
    
    @Nullable
    public abstract <F extends WebServiceFeature> F get(@NotNull Class<F> p0);
    
    @NotNull
    public abstract WebServiceFeature[] toArray();
    
    public abstract void mergeFeatures(@NotNull WebServiceFeature[] p0, boolean p1);
    
    public abstract void mergeFeatures(@NotNull Iterable<WebServiceFeature> p0, boolean p1);
}
